/*
 * Class WEL_MDI_TILE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_256 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_256 [] = {0xFF01,1551,255,0xFFFF};
static const EIF_TYPE_INDEX egt_2_256 [] = {0xFF01,255,0xFFFF};
static const EIF_TYPE_INDEX egt_3_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_256 [] = {0xFF01,255,0xFFFF};
static const EIF_TYPE_INDEX egt_6_256 [] = {0xFF01,255,0xFFFF};
static const EIF_TYPE_INDEX egt_7_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_256 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_256 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_256 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_256 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_256 [] = {0xFF01,255,0xFFFF};


static const struct desc_info desc_256[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_256), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_256), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_256), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_256), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_256), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_256), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_256), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_256), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_256), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_256), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_256), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_256), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01FF /*255*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_256), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5185, 0xFFFFFFFF},
};
void Init256(void)
{
	IDSC(desc_256, 0, 255);
	IDSC(desc_256 + 1, 1, 255);
	IDSC(desc_256 + 32, 651, 255);
}


#ifdef __cplusplus
}
#endif
